---
title: <metadata>
slug: Web/SVG/Element/metadata
tags:
  - Element
  - SVG
  - SVG Descriptive
---
<div>{{SVGRef}}</div>

<p>The <strong><code>&lt;metadata&gt;</code></strong> <a href="/en-US/docs/Web/SVG">SVG</a> element adds metadata to SVG content. Metadata is structured information about data. The contents of <code>&lt;metadata&gt;</code> should be elements from other {{Glossary("XML")}} {{Glossary("namespace", "namespaces")}} such as {{Glossary("RDF")}}, <a href="https://en.wikipedia.org/wiki/FOAF_(ontology)">FOAF</a>, etc.</p>

<h2 id="Usage_context">Usage context</h2>

<p>{{svginfo}}</p>

<h2 id="Attributes">Attributes</h2>

<h3 id="Global_attributes">Global attributes</h3>

<ul>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Core_attributes">Core attributes</a></li>
 <li><a href="/en-US/docs/Web/HTML/Global_attributes">Global event attributes</a></li>
</ul>

<h3 id="Specific_attributes">Specific attributes</h3>

<p><em>None</em></p>

<h2 id="DOM_Interface">DOM Interface</h2>

<p>This element implements the {{domxref("SVGMetadataElement")}} interface.</p>

<h2 id="Example">Example</h2>

<pre class="brush: html">&lt;svg width="400" viewBox="0 0 400 300"
  xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"&gt;
  &lt;metadata&gt;
    &lt;rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
             xmlns:connect="http://www.w3.org/1999/08/29-svg-connections-in-RDF#"&gt;
      &lt;rdf:Description about="#CableA"&gt;
        &lt;connect:ends rdf:resource="#socket1"/&gt;
        &lt;connect:ends rdf:resource="#ComputerA"/&gt;
      &lt;/rdf:Description&gt;
      &lt;rdf:Description about="#CableB"&gt;
        &lt;connect:ends rdf:resource="#socket2"/&gt;
        &lt;connect:ends rdf:resource="#ComputerB"/&gt;
      &lt;/rdf:Description&gt;
      &lt;rdf:Description about="#CableN"&gt;
        &lt;connect:ends rdf:resource="#socket5"/&gt;
        &lt;connect:ends&gt;Everything&lt;/connect:ends&gt;
      &lt;/rdf:Description&gt;
      &lt;rdf:Description about="#Hub"&gt;
        &lt;connect:ends rdf:resource="#socket1"/&gt;
        &lt;connect:ends rdf:resource="#socket2"/&gt;
        &lt;connect:ends rdf:resource="#socket3"/&gt;
        &lt;connect:ends rdf:resource="#socket4"/&gt;
        &lt;connect:ends rdf:resource="#socket5"/&gt;
      &lt;/rdf:Description&gt;
    &lt;/rdf:RDF&gt;
  &lt;/metadata&gt;
  &lt;title&gt;Network&lt;/title&gt;
  &lt;desc&gt;An example of a computer network based on a hub.&lt;/desc&gt;

  &lt;style&gt;
    svg {
      /* Default styles to be inherited */
      fill: white;
      stroke: black;
    }
    text { fill: black; stroke: none; }
    path { fill: none; }
  &lt;/style&gt;

  &lt;!-- Define symbols used in the SVG --&gt;
  &lt;defs&gt;

    &lt;!-- hubPlug symbol. Used by hub symbol --&gt;
    &lt;symbol id="hubPlug"&gt;
      &lt;desc&gt;A 10BaseT/100baseTX socket&lt;/desc&gt;
      &lt;path d="M0,10 h5 v-9 h12 v9 h5 v16 h-22 z"/&gt;
    &lt;/symbol&gt;

    &lt;!-- hub symbol --&gt;
    &lt;symbol id="hub"&gt;
      &lt;desc&gt;A typical 10BaseT/100BaseTX network hub&lt;/desc&gt;
      &lt;text x="0" y="15"&gt;Hub&lt;/text&gt;
      &lt;g transform="translate(0 20)"&gt;
        &lt;rect width="253" height="84"/&gt;
        &lt;rect width="229" height="44" x="12" y="10"/&gt;
        &lt;circle fill="red" cx="227" cy="71" r="7" /&gt;
        &lt;!-- five groups each using the defined socket --&gt;
        &lt;g id="sock1et" transform="translate(25 20)"&gt;
          &lt;title&gt;Socket 1&lt;/title&gt;
          &lt;use xlink:href="#hubPlug"/&gt;
        &lt;/g&gt;
        &lt;g id="socket2" transform="translate(70 20)"&gt;
          &lt;title&gt;Socket 2&lt;/title&gt;
          &lt;use xlink:href="#hubPlug"/&gt;
        &lt;/g&gt;
        &lt;g id="socket3" transform="translate(115 20)"&gt;
          &lt;title&gt;Socket 3&lt;/title&gt;
          &lt;use xlink:href="#hubPlug"/&gt;
        &lt;/g&gt;
        &lt;g id="socket4" transform="translate(160 20)"&gt;
          &lt;title&gt;Socket 4&lt;/title&gt;
          &lt;use xlink:href="#hubPlug"/&gt;
        &lt;/g&gt;
        &lt;g id="socket5" transform="translate(205 20)"&gt;
          &lt;title&gt;Socket 5&lt;/title&gt;
          &lt;use xlink:href="#hubPlug"/&gt;
        &lt;/g&gt;
      &lt;/g&gt;
    &lt;/symbol&gt;

    &lt;!-- computer symbol --&gt;
    &lt;symbol id="computer"&gt;
      &lt;desc&gt;A common desktop PC&lt;/desc&gt;
      &lt;g id="monitorStand" transform="translate(40 121)"&gt;
        &lt;title&gt;Monitor stand&lt;/title&gt;
        &lt;desc&gt;One of those cool swivelling monitor stands that sit under the monitor&lt;/desc&gt;
        &lt;path d="m0,0 S 10 10 40 12"/&gt;
        &lt;path d="m80,0 S 70 10 40 12"/&gt;
        &lt;path d="m0,20 L 10 10 S 40 12 70 10 L 80 20z"/&gt;
      &lt;/g&gt;
      &lt;g id="monitor"&gt;
        &lt;title&gt;Monitor&lt;/title&gt;
        &lt;desc&gt;A very fancy monitor&lt;/desc&gt;
        &lt;rect width="160" height="120"/&gt;
        &lt;rect fill="lightgrey" width="138" height="95" x="11" y="12"/&gt;
      &lt;/g&gt;
      &lt;g id="processor" transform="translate(0 142)"&gt;
        &lt;title&gt;The computer&lt;/title&gt;
        &lt;desc&gt;A desktop computer - broad flat box style&lt;/desc&gt;
        &lt;rect width="160" height="60"/&gt;
        &lt;g id="discDrive" transform="translate(70 8)"&gt;
          &lt;title&gt;disc drive&lt;/title&gt;
          &lt;desc&gt;A built-in disc drive&lt;/desc&gt;
          &lt;rect width="58" height="3" x="12" y="8"/&gt;
          &lt;rect width="8" height="2" x="12" y="15"/&gt;
        &lt;/g&gt;
        &lt;circle cx="135" cy="40" r="5"/&gt;
      &lt;/g&gt;
     &lt;/symbol&gt;
  &lt;/defs&gt;

  &lt;text x="0" y="15"&gt;Network&lt;/text&gt;

  &lt;!-- Use the hub symbol. --&gt;
  &lt;g id="Hub" transform="translate(80 45)"&gt;
    &lt;title&gt;Hub&lt;/title&gt;
    &lt;use xlink:href="#hub" transform="scale(0.75)"/&gt;
  &lt;/g&gt;

  &lt;!-- Use the computer symbol. --&gt;
  &lt;g id="ComputerA" transform="translate(20 170)"&gt;
    &lt;title&gt;Computer A&lt;/title&gt;
    &lt;use xlink:href="#computer" transform="scale(0.5)"/&gt;
  &lt;/g&gt;

  &lt;!-- Use the same computer symbol. --&gt;
  &lt;g id="ComputerB" transform="translate(300 170)"&gt;
    &lt;title&gt;Computer B&lt;/title&gt;
    &lt;use xlink:href="#computer" transform="scale(0.5)"/&gt;
  &lt;/g&gt;

  &lt;!-- Draw Cable A. --&gt;
  &lt;g id="CableA" transform="translate(107 88)"&gt;
    &lt;title&gt;Cable A&lt;/title&gt;
    &lt;desc&gt;10BaseT twisted pair cable&lt;/desc&gt;
    &lt;path d="M0,0c100,140 50,140 -8,160"/&gt;
  &lt;/g&gt;

  &lt;!-- Draw Cable B. --&gt;
  &lt;g id="CableB" transform="translate(142 88)"&gt;
    &lt;title&gt;Cable B&lt;/title&gt;
    &lt;desc&gt;10BaseT twisted pair cable&lt;/desc&gt;
    &lt;path d="M0,0c100,180 110,160 159,160"/&gt;
  &lt;/g&gt;

  &lt;!-- Draw Cable N. --&gt;
  &lt;g id="CableN" transform="translate(242 88)"&gt;
     &lt;title&gt;Cable N&lt;/title&gt;
     &lt;desc&gt;10BaseT twisted pair cable&lt;/desc&gt;
     &lt;path d="M0,0c0,-70 20,-50 60,-50"/&gt;
  &lt;/g&gt;
&lt;/svg&gt;
</pre>

<p>{{ EmbedLiveSample('Example', '100%', 300) }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('SVG2', 'struct.html#MetadataElement', '&lt;metadata&gt;')}}</td>
   <td>{{Spec2('SVG2')}}</td>
   <td>Allowed global event attributes on the element.</td>
  </tr>
  <tr>
   <td>{{SpecName('SVG1.1', 'metadata.html#MetadataElement', '&lt;metadata&gt;')}}</td>
   <td>{{Spec2('SVG1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.metadata")}}</p>
